#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
/*
 * $Id: Sort_end_cycle.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Sort/include/Sort.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace sort {


#undef  FUNCTION
#define FUNCTION "Sort::end_cycle"
void Sort::end_cycle ()
  {
    log_printf(FUNC,Sort,FUNCTION,"Begin");

#ifdef STATISTICS
    _stat->end_cycle();
#endif    

#ifdef VHDL_TESTBENCH
    // Evaluation before read the ouput signal
//  sc_start(0);
    _interfaces->testbench();
#endif

    log_printf(FUNC,Sort,FUNCTION,"End");
  };

}; // end namespace sort
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
